package com.ejie.ab63.model;

import java.math.BigDecimal;
import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6342s00  
 * 
 *  
 */

public class OtrasDependenciasVivienda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String idOtrasdepViviendas;
	private EstablecimientoData establecimientoData;
	private String denomDependencia;
	private BigDecimal supDependencia;
	private String accesible;
	private String esCuartoBano;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Ab6342s00'.
	 */
	public OtrasDependenciasVivienda() {
	}

	/**
	 * Method 'Ab6342s00'.
	 * 
	 * @param idOtrasdepViviendas
	 *            String
	 */
	public OtrasDependenciasVivienda(String idOtrasdepViviendas) {
		this.idOtrasdepViviendas = idOtrasdepViviendas;
	}

	/**
	 * Method 'Ab6342s00'.
	 * 
	 * @param idOtrasdepViviendas
	 *            String
	 * @param denomDependencia
	 *            String
	 * @param supDependencia
	 *            String
	 * @param accesible
	 *            String
	 * @param esCuartoBanyo
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6321s00
	 *            Ab6321s00
	 */
	public OtrasDependenciasVivienda(String idOtrasdepViviendas, String denomDependencia, BigDecimal supDependencia,
			String accesible, String esCuartoBanyo, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion, EstablecimientoData ab6321s00) {

		this.idOtrasdepViviendas = idOtrasdepViviendas;
		this.establecimientoData = ab6321s00;
		this.denomDependencia = denomDependencia;
		this.supDependencia = supDependencia;
		this.accesible = accesible;
		this.esCuartoBano = esCuartoBanyo;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdOtrasdepViviendas'.
	 *
	 * @return String
	 */

	public String getIdOtrasdepViviendas() {
		return this.idOtrasdepViviendas;
	}

	/**
	 * Method 'setIdOtrasdepViviendas'.
	 *
	 * @param idOtrasdepViviendas
	 *            String
	 * @return
	 */

	public void setIdOtrasdepViviendas(String idOtrasdepViviendas) {
		this.idOtrasdepViviendas = idOtrasdepViviendas;
	}

	/**
	 * Method 'getAb6321s00'.
	 *
	 * @return Ab6321s00
	 */
	@JsonIgnore

	public EstablecimientoData getEstablecimientoData() {
		return this.establecimientoData;
	}

	/**
	 * Method 'setAb6321s00'.
	 *
	 * @param ab6321s00
	 *            Ab6321s00
	 * @return
	 */

	public void setEstablecimientoData(EstablecimientoData ab6321s00) {
		this.establecimientoData = ab6321s00;
	}

	/**
	 * Method 'getDenomDependencia'.
	 *
	 * @return String
	 */

	public String getDenomDependencia() {
		return this.denomDependencia;
	}

	/**
	 * Method 'setDenomDependencia'.
	 *
	 * @param denomDependencia
	 *            String
	 * @return
	 */

	public void setDenomDependencia(String denomDependencia) {
		this.denomDependencia = denomDependencia;
	}

	/**
	 * Method 'getSupDependencia'.
	 *
	 * @return String
	 */

	public BigDecimal getSupDependencia() {
		return this.supDependencia;
	}

	/**
	 * Method 'setSupDependencia'.
	 *
	 * @param supDependencia
	 *            String
	 * @return
	 */

	public void setSupDependencia(BigDecimal supDependencia) {
		this.supDependencia = supDependencia;
	}

	/**
	 * Method 'getAccesible'.
	 *
	 * @return String
	 */

	public String getAccesible() {
		return this.accesible;
	}

	/**
	 * Method 'setAccesible'.
	 *
	 * @param accesible
	 *            String
	 * @return
	 */

	public void setAccesible(String accesible) {
		this.accesible = accesible;
	}

	/**
	 * Method 'getEsCuartoBanyo'.
	 *
	 * @return String
	 */

	public String getEsCuartoBano() {
		return this.esCuartoBano;
	}

	/**
	 * Method 'setEsCuartoBanyo'.
	 *
	 * @param esCuartoBanyo
	 *            String
	 * @return
	 */

	public void setEsCuartoBano(String esCuartoBanyo) {
		this.esCuartoBano = esCuartoBanyo;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idOtrasdepViviendas: ").append(this.idOtrasdepViviendas).append(" ]");
		result.append(", [ denomDependencia: ").append(this.denomDependencia).append(" ]");
		result.append(", [ supDependencia: ").append(this.supDependencia).append(" ]");
		result.append(", [ accesible: ").append(this.accesible).append(" ]");
		result.append(", [ esCuartoBanyo: ").append(this.esCuartoBano).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
